# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from eros.api import eros_pb2 as weclikd_dot_service_dot_eros__pb2


class ErosStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.CreateAccount = channel.unary_unary(
        '/weclikd.Eros/CreateAccount',
        request_serializer=weclikd_dot_service_dot_eros__pb2.CreateAccountRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.CreateAccountResponse.FromString,
        )
    self.CreateUser = channel.unary_unary(
        '/weclikd.Eros/CreateUser',
        request_serializer=weclikd_dot_service_dot_eros__pb2.CreateUserRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.CreateUserResponse.FromString,
        )
    self.ChangeAccessKey = channel.unary_unary(
        '/weclikd.Eros/ChangeAccessKey',
        request_serializer=weclikd_dot_service_dot_eros__pb2.ChangeAccessKeyRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.ChangeAccessKeyResponse.FromString,
        )
    self.CheckUsername = channel.unary_unary(
        '/weclikd.Eros/CheckUsername',
        request_serializer=weclikd_dot_service_dot_eros__pb2.CheckUsernameRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.CheckUsernameResponse.FromString,
        )
    self.GetAccount = channel.unary_unary(
        '/weclikd.Eros/GetAccount',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetAccountRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetAccountResponse.FromString,
        )
    self.GetAccountIdFromAccessKey = channel.unary_unary(
        '/weclikd.Eros/GetAccountIdFromAccessKey',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetAccountIdFromAccessKeyRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetAccountIdFromAccessKeyResponse.FromString,
        )
    self.GetProfiles = channel.unary_unary(
        '/weclikd.Eros/GetProfiles',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetProfilesRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetProfilesResponse.FromString,
        )
    self.GetIdFromUsername = channel.unary_unary(
        '/weclikd.Eros/GetIdFromUsername',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetIdFromUsernameRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetIdFromUsernameResponse.FromString,
        )
    self.EditProfile = channel.unary_unary(
        '/weclikd.Eros/EditProfile',
        request_serializer=weclikd_dot_service_dot_eros__pb2.EditProfileRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.EditProfileResponse.FromString,
        )
    self.ChangeAccountSettings = channel.unary_unary(
        '/weclikd.Eros/ChangeAccountSettings',
        request_serializer=weclikd_dot_service_dot_eros__pb2.ChangeAccountSettingsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.ChangeAccountSettingsResponse.FromString,
        )
    self.ChangeSubscription = channel.unary_unary(
        '/weclikd.Eros/ChangeSubscription',
        request_serializer=weclikd_dot_service_dot_eros__pb2.ChangeSubscriptionRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.ChangeSubscriptionResponse.FromString,
        )
    self.GetTrendingUsers = channel.unary_unary(
        '/weclikd.Eros/GetTrendingUsers',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetTrendingUsersRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetTrendingUsersResponse.FromString,
        )
    self.GetUsersFollowed = channel.unary_unary(
        '/weclikd.Eros/GetUsersFollowed',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetUsersFollowedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetUsersFollowedResponse.FromString,
        )
    self.GetTopicsFollowed = channel.unary_unary(
        '/weclikd.Eros/GetTopicsFollowed',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetTopicsFollowedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetTopicsFollowedResponse.FromString,
        )
    self.GetCliksFollowed = channel.unary_unary(
        '/weclikd.Eros/GetCliksFollowed',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetCliksFollowedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetCliksFollowedResponse.FromString,
        )
    self.GetFeedsFollowed = channel.unary_unary(
        '/weclikd.Eros/GetFeedsFollowed',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetFeedsFollowedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetFeedsFollowedResponse.FromString,
        )
    self.FollowUser = channel.unary_unary(
        '/weclikd.Eros/FollowUser',
        request_serializer=weclikd_dot_service_dot_eros__pb2.FollowUserRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.FollowUserResponse.FromString,
        )
    self.FollowClik = channel.unary_unary(
        '/weclikd.Eros/FollowClik',
        request_serializer=weclikd_dot_service_dot_eros__pb2.FollowClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.FollowClikResponse.FromString,
        )
    self.FollowTopic = channel.unary_unary(
        '/weclikd.Eros/FollowTopic',
        request_serializer=weclikd_dot_service_dot_eros__pb2.FollowTopicRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.FollowTopicResponse.FromString,
        )
    self.FollowFeed = channel.unary_unary(
        '/weclikd.Eros/FollowFeed',
        request_serializer=weclikd_dot_service_dot_eros__pb2.FollowFeedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.FollowFeedResponse.FromString,
        )
    self.UnfollowUser = channel.unary_unary(
        '/weclikd.Eros/UnfollowUser',
        request_serializer=weclikd_dot_service_dot_eros__pb2.UnfollowUserRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.UnfollowUserResponse.FromString,
        )
    self.UnfollowClik = channel.unary_unary(
        '/weclikd.Eros/UnfollowClik',
        request_serializer=weclikd_dot_service_dot_eros__pb2.UnfollowClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.UnfollowClikResponse.FromString,
        )
    self.UnfollowTopic = channel.unary_unary(
        '/weclikd.Eros/UnfollowTopic',
        request_serializer=weclikd_dot_service_dot_eros__pb2.UnfollowTopicRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.UnfollowTopicResponse.FromString,
        )
    self.UnfollowFeed = channel.unary_unary(
        '/weclikd.Eros/UnfollowFeed',
        request_serializer=weclikd_dot_service_dot_eros__pb2.UnfollowFeedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.UnfollowFeedResponse.FromString,
        )
    self.AddAccomplishment = channel.unary_unary(
        '/weclikd.Eros/AddAccomplishment',
        request_serializer=weclikd_dot_service_dot_eros__pb2.AddAccomplishmentRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.AddAccomplishmentResponse.FromString,
        )
    self.RemoveAccomplishment = channel.unary_unary(
        '/weclikd.Eros/RemoveAccomplishment',
        request_serializer=weclikd_dot_service_dot_eros__pb2.RemoveAccomplishmentRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.RemoveAccomplishmentResponse.FromString,
        )
    self.EditAccomplishment = channel.unary_unary(
        '/weclikd.Eros/EditAccomplishment',
        request_serializer=weclikd_dot_service_dot_eros__pb2.EditAccomplishmentRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.EditAccomplishmentResponse.FromString,
        )
    self.GetAccomplishments = channel.unary_unary(
        '/weclikd.Eros/GetAccomplishments',
        request_serializer=weclikd_dot_service_dot_eros__pb2.GetAccomplishmentsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_eros__pb2.GetAccomplishmentsResponse.FromString,
        )


class ErosServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def CreateAccount(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def CreateUser(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ChangeAccessKey(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def CheckUsername(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetAccount(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetAccountIdFromAccessKey(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetProfiles(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetIdFromUsername(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def EditProfile(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ChangeAccountSettings(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ChangeSubscription(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetTrendingUsers(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetUsersFollowed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetTopicsFollowed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetCliksFollowed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetFeedsFollowed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def FollowUser(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def FollowClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def FollowTopic(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def FollowFeed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def UnfollowUser(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def UnfollowClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def UnfollowTopic(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def UnfollowFeed(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def AddAccomplishment(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def RemoveAccomplishment(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def EditAccomplishment(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetAccomplishments(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_ErosServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'CreateAccount': grpc.unary_unary_rpc_method_handler(
          servicer.CreateAccount,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.CreateAccountRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.CreateAccountResponse.SerializeToString,
      ),
      'CreateUser': grpc.unary_unary_rpc_method_handler(
          servicer.CreateUser,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.CreateUserRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.CreateUserResponse.SerializeToString,
      ),
      'ChangeAccessKey': grpc.unary_unary_rpc_method_handler(
          servicer.ChangeAccessKey,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.ChangeAccessKeyRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.ChangeAccessKeyResponse.SerializeToString,
      ),
      'CheckUsername': grpc.unary_unary_rpc_method_handler(
          servicer.CheckUsername,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.CheckUsernameRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.CheckUsernameResponse.SerializeToString,
      ),
      'GetAccount': grpc.unary_unary_rpc_method_handler(
          servicer.GetAccount,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetAccountRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetAccountResponse.SerializeToString,
      ),
      'GetAccountIdFromAccessKey': grpc.unary_unary_rpc_method_handler(
          servicer.GetAccountIdFromAccessKey,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetAccountIdFromAccessKeyRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetAccountIdFromAccessKeyResponse.SerializeToString,
      ),
      'GetProfiles': grpc.unary_unary_rpc_method_handler(
          servicer.GetProfiles,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetProfilesRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetProfilesResponse.SerializeToString,
      ),
      'GetIdFromUsername': grpc.unary_unary_rpc_method_handler(
          servicer.GetIdFromUsername,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetIdFromUsernameRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetIdFromUsernameResponse.SerializeToString,
      ),
      'EditProfile': grpc.unary_unary_rpc_method_handler(
          servicer.EditProfile,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.EditProfileRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.EditProfileResponse.SerializeToString,
      ),
      'ChangeAccountSettings': grpc.unary_unary_rpc_method_handler(
          servicer.ChangeAccountSettings,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.ChangeAccountSettingsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.ChangeAccountSettingsResponse.SerializeToString,
      ),
      'ChangeSubscription': grpc.unary_unary_rpc_method_handler(
          servicer.ChangeSubscription,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.ChangeSubscriptionRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.ChangeSubscriptionResponse.SerializeToString,
      ),
      'GetTrendingUsers': grpc.unary_unary_rpc_method_handler(
          servicer.GetTrendingUsers,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetTrendingUsersRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetTrendingUsersResponse.SerializeToString,
      ),
      'GetUsersFollowed': grpc.unary_unary_rpc_method_handler(
          servicer.GetUsersFollowed,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetUsersFollowedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetUsersFollowedResponse.SerializeToString,
      ),
      'GetTopicsFollowed': grpc.unary_unary_rpc_method_handler(
          servicer.GetTopicsFollowed,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetTopicsFollowedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetTopicsFollowedResponse.SerializeToString,
      ),
      'GetCliksFollowed': grpc.unary_unary_rpc_method_handler(
          servicer.GetCliksFollowed,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetCliksFollowedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetCliksFollowedResponse.SerializeToString,
      ),
      'GetFeedsFollowed': grpc.unary_unary_rpc_method_handler(
          servicer.GetFeedsFollowed,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetFeedsFollowedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetFeedsFollowedResponse.SerializeToString,
      ),
      'FollowUser': grpc.unary_unary_rpc_method_handler(
          servicer.FollowUser,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.FollowUserRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.FollowUserResponse.SerializeToString,
      ),
      'FollowClik': grpc.unary_unary_rpc_method_handler(
          servicer.FollowClik,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.FollowClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.FollowClikResponse.SerializeToString,
      ),
      'FollowTopic': grpc.unary_unary_rpc_method_handler(
          servicer.FollowTopic,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.FollowTopicRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.FollowTopicResponse.SerializeToString,
      ),
      'FollowFeed': grpc.unary_unary_rpc_method_handler(
          servicer.FollowFeed,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.FollowFeedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.FollowFeedResponse.SerializeToString,
      ),
      'UnfollowUser': grpc.unary_unary_rpc_method_handler(
          servicer.UnfollowUser,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.UnfollowUserRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.UnfollowUserResponse.SerializeToString,
      ),
      'UnfollowClik': grpc.unary_unary_rpc_method_handler(
          servicer.UnfollowClik,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.UnfollowClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.UnfollowClikResponse.SerializeToString,
      ),
      'UnfollowTopic': grpc.unary_unary_rpc_method_handler(
          servicer.UnfollowTopic,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.UnfollowTopicRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.UnfollowTopicResponse.SerializeToString,
      ),
      'UnfollowFeed': grpc.unary_unary_rpc_method_handler(
          servicer.UnfollowFeed,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.UnfollowFeedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.UnfollowFeedResponse.SerializeToString,
      ),
      'AddAccomplishment': grpc.unary_unary_rpc_method_handler(
          servicer.AddAccomplishment,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.AddAccomplishmentRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.AddAccomplishmentResponse.SerializeToString,
      ),
      'RemoveAccomplishment': grpc.unary_unary_rpc_method_handler(
          servicer.RemoveAccomplishment,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.RemoveAccomplishmentRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.RemoveAccomplishmentResponse.SerializeToString,
      ),
      'EditAccomplishment': grpc.unary_unary_rpc_method_handler(
          servicer.EditAccomplishment,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.EditAccomplishmentRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.EditAccomplishmentResponse.SerializeToString,
      ),
      'GetAccomplishments': grpc.unary_unary_rpc_method_handler(
          servicer.GetAccomplishments,
          request_deserializer=weclikd_dot_service_dot_eros__pb2.GetAccomplishmentsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_eros__pb2.GetAccomplishmentsResponse.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'weclikd.Eros', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
